export type Listener<K> = (event: K) => void;
export declare class EventManager<K, V> {
    private listenerMap;
    constructor();
    on(eventName: keyof K, listener: Listener<V>): void;
    off(eventName: keyof K, listener?: Listener<V>): boolean;
    emit(eventName: keyof K, event: V): boolean;
}
